Loading...
Searching...
No Matches
IntersectTool.cpp File Reference

Command line utility for geodesic intersections. More...

`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <vector>`
`#include <GeographicLib/Geodesic.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include <GeographicLib/Intersect.hpp>`
`#include "IntersectTool.usage"`

Go to the source code of this file.

## Typedefs

typedef Math::real | real

## Functions

int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for geodesic intersections.

Copyright (c) Charles Karney (2023) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file IntersectTool.cpp.

## Typedef Documentation

## real

typedef Math::real real

Definition at line 24 of file IntersectTool.cpp.

## Function Documentation

## main()

int main | ( | int | argc,
|  | const char *const | argv[] )

Definition at line 26 of file IntersectTool.cpp.

References GeographicLib::Intersect::All(), GeographicLib::Intersect::Closest(), GeographicLib::DMS::DecodeAzimuth(), GeographicLib::DMS::DecodeLatLon(), GeographicLib::Intersect::Dist(), GeographicLib::GeodesicLine::Distance(), GeographicLib::Utility::fract(), GeographicLib::Geodesic::Inverse(), GeographicLib::Geodesic::InverseLine(), GeographicLib::Geodesic::Line(), GeographicLib::Intersect::LineCaps, GeographicLib::Intersect::Next(), GeographicLib::GeodesicLine::Position(), GeographicLib::Intersect::Segment(), GeographicLib::Utility::set_digits(), GeographicLib::Utility::str(), usage(), GeographicLib::Utility::val(), GeographicLib::Constants::WGS84_a(), and GeographicLib::Constants::WGS84_f().